body {
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

[data-scroll-lock] .fixed {
    margin-right: var(--scrollbar-width);
}

.js-focus-visible :focus:not(.focus-visible) {
    outline: none;
}

.focus-visible {
    outline: auto 1px;
}

.visually-hidden {
    position: absolute;
    overflow: hidden;
    margin: -1px;
    border: 0;
    padding: 0;
    width: 1px;
    height: 1px;
    clip: rect(0 0 0 0);
}

/* Forms
   ========================================================================== */
/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */
button,
input,
optgroup,
select,
textarea {
    margin: 0;
    font-family: inherit;
    font-size: 100%;
    line-height: 1.15;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */
button,
select {
    text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type=button],
[type=reset],
[type=submit] {
    -webkit-appearance: button;
}

/**
 * Remove the inner border and padding in Firefox.
 */
button::-moz-focus-inner,
[type=button]::-moz-focus-inner,
[type=reset]::-moz-focus-inner,
[type=submit]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */
button:-moz-focusring,
[type=button]:-moz-focusring,
[type=reset]:-moz-focusring,
[type=submit]:-moz-focusring {
    outline: 1px dotted ButtonText;
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
    color: rgb(51, 51, 51);
}

p {
    font-size: 18px;
    font-weight: 500;
    line-height: 1.44;
    color: rgb(77, 77, 77);
}

section {
    margin-bottom: 96px;
}

.index-hero {
    background: linear-gradient(180deg, rgba(254, 247, 239, 0) 0%, #fde8d1 100%);
    background-repeat: no-repeat;
}

.index-hero .index-hero__container {
    width: 100%;
    min-height: 500px;
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 50% 100%;
    background-size: contain;
    padding: 128px 0 !important;
}


@media screen and (max-width: 992px) {
    .index-hero .index-hero__container {
        padding-top: 64px !important;
        padding-bottom: 240px !important;
        background-position: center bottom;
        background-size: contain;
        background-size: 30%;
    }
}

@media screen and (max-width: 768px) {
    .index-hero .index-hero__container {
        background-size: 35%;
    }
}

@media screen and (max-width: 564px) {
    .index-hero .index-hero__container {
        background-size: 45%;
    }
}

@media screen and (max-width: 450px) {
    .index-hero .index-hero__container {
        background-size: 55%;
    }
}

@media screen and (max-width: 375px) {
    .index-hero .index-hero__container {
        background-size: 65%;
    }
}

.index-hero h1 {
    font-size: 64px;
    line-height: 1;
    max-width: 50%;
    margin-bottom: 32px;
}

@media screen and (max-width: 992px) {
    .index-hero h1 {
        max-width: 100%;
    }
}

.index-hero p {
    max-width: 50%;
}

@media screen and (max-width: 992px) {
    .index-hero p {
        max-width: 100%;
    }
}

.index-vacancies__container {
    max-width: 768px !important;
}

.index-vacancies__title {
    text-align: center;
    font-size: 32px;
    line-height: 1.21;
    margin-bottom: 16px;
}

.index-vacancies__subtitle {
    text-align: center;
	margin-bottom: clamp(32px,4vw,64px);
}

.index-vacancies__list {
    margin-top: 64px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.index-vacancies__list li {
    padding-left: 0;
}

.index-vacancy {
    display: flex;
    align-items: flex-start;
    gap: 16px;
    padding: 24px;
    border: 1px solid rgb(234, 236, 240);
    border-radius: 16px;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

@media screen and (max-width: 564px) {
    .index-vacancy {
        flex-direction: column;
    }
}

.index-vacancy:hover {
    background-color: rgb(254, 247, 239);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.index-vacancy:hover .index-vacancy__action {
    text-decoration: underline;
}

.index-vacancy__content {
    flex-grow: 1;
}

.index-vacancy__subtitle {
    font-size: 16px;
    color: rgb(241, 102, 51);
    font-size: 14px;
    margin-bottom: 4px;
    font-weight: 600;
}

.index-vacancy__title {
    font-size: 18px;
    color: rgb(16, 24, 40);
    line-height: 1.56;
    margin-bottom: 4px;
    font-weight: 500;
}

.index-vacancy__description {
    margin-bottom: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.index-vacancy__description p {
    margin-bottom: 0;
}

@media screen and (max-width: 564px) {
    .index-vacancy__description {
        -webkit-line-clamp: 5;
    }
}

.index-vacancy__list {
    display: flex;
    gap: 24px;
    align-items: center;
}

.index-vacancy__list-item {
    display: flex;
    gap: 8px;
    align-items: center;
    font-size: 16px;
    line-height: 1.5;
    font-weight: 500;
    padding-left: 0;
}

.index-vacancy__action {
    white-space: nowrap;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 16px;
    line-height: 1.5;
    color: rgb(241, 102, 51);
    min-width: 91px;
    transition: text-decoration 0.3s ease;
}

.vacancy-vacancy__container {
    display: flex;
    align-items: flex-start;
    gap: 130px;
    margin-top: 32px;
    position: relative;
    height: fit-content;
}

@media screen and (max-width: 1200px) {
    .vacancy-vacancy__container {
        gap: 48px;
    }
}

@media screen and (max-width: 992px) {
    .vacancy-vacancy__container {
        flex-direction: column;
    }
}

.vacancy-vacancy__data {
    flex-grow: 1;
}

.vacancy-vacancy__data-date {
    font-size: 16px;
    line-height: 1.19;
    color: rgb(97, 97, 105);
    margin-bottom: 12px;
}

.vacancy-vacancy__data h1 {
    line-height: 1.21;
    font-size: 36px;
    margin-bottom: 32px;
}

.vacancy-vacancy__data-content {
    font-size: 18px;
    line-height: 1.44;
}

.vacancy-vacancy__data-content *:first-child {
    margin-top: 0;
}

.vacancy-vacancy__data-content *:last-child {
    margin-bottom: 0;
}

.vacancy-vacancy__data-content h1,
.vacancy-vacancy__data-content h2,
.vacancy-vacancy__data-content h3,
.vacancy-vacancy__data-content h4,
.vacancy-vacancy__data-content h5,
.vacancy-vacancy__data-content h6 {
    font-weight: 600;
    font-size: 18px;
    line-height: 1.5;
    margin-top: 24px;
    margin-bottom: 20px;
}

.vacancy-vacancy__data-content a {
    text-decoration: underline;
    color: rgb(51, 51, 51);
    transition: color var(--transition);
}

.vacancy-vacancy__data-content a.focus-visible {
    outline: none;
    color: rgb(241, 102, 51);
}

@media (hover) {
    .vacancy-vacancy__data-content a:hover {
        color: rgb(241, 102, 51);
    }
}

.vacancy-vacancy__data-content p {
    margin-bottom: 24px;
    color: rgb(77, 77, 77);
}

.vacancy-vacancy__data-content strong {
    font-weight: 600;
}

.vacancy-vacancy__data-content img {
    width: 100%;
}

.vacancy-vacancy__data-content em {
    display: block;
    font-weight: 500;
    font-size: 18px;
    line-height: 1.5;
    color: rgb(51, 51, 51);
}

.vacancy-vacancy__data-content ul,
.vacancy-vacancy__data-content ol {
    line-height: 1.88;
    margin-block: 20px;
    padding-left: 0;
    list-style-type: none;
}

.vacancy-vacancy__data-content ul li {
    position: relative;
    padding-left: 26px;
}

.vacancy-vacancy__data-content ul li::before {
    content: "";
    position: absolute;
    left: 10px;
    top: 14px;
    border-radius: 50%;
    width: 4px;
    height: 4px;
    background-color: currentColor;
}

.vacancy-vacancy__data-content ol {
    counter-reset: list;
}

.vacancy-vacancy__data-content ol li::before {
    counter-increment: list;
    content: counter(list) ". ";
    color: currentColor;
}

.vacancy-sidebar {
    position: sticky;
    top: 100px;
    right: 0;
    padding: 32px;
    border-radius: 4px;
    background-color: rgb(254, 247, 239);
    max-width: 370px;
    width: 100%;
}

@media screen and (max-width: 992px) {
    .vacancy-sidebar {
        max-width: 100%;
    }
}

.vacancy-sidebar__list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-bottom: 32px !important;
}

.vacancy-sidebar__list-data {
    display: flex;
    flex-direction: column;
}

.vacancy-sidebar__list-data p {
    margin-bottom: 0;
}

@media screen and (max-width: 992px) {
    .vacancy-sidebar__list-data {
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
        gap: 20px;
        align-items: center;
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 564px) {
    .vacancy-sidebar__list-data {
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }
}

.vacancy-sidebar li {
    display: flex;
    align-items: flex-start;
    gap: 12px;
    color: rgb(97, 97, 105);
    line-height: 1.19;
    font-weight: 600;
    font-size: 16px;
    min-width: 300px;
    padding-left: 0;
}

.vacancy-sidebar h2 {
    line-height: 1.21;
    font-size: 24px;
    color: rgb(12, 12, 12);
    margin-bottom: 32px;
    white-space: nowrap;
}

.vacancy-sidebar h3 {
    font-weight: 600;
    font-size: 18.5px;
    color: rgb(51, 51, 51);
    margin-bottom: 0;
}

.vacancy-sidebar a {
    width: 100%;
    display: block;
    padding: 24px;
    min-height: 64px;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 16px;
    line-height: 1;
    color: rgb(255, 255, 255);
    text-align: center;
    border-radius: 4px;
    background: linear-gradient(222.07deg, #faaf40 -3.74%, #f16633 99.62%);
    transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.vacancy-sidebar a:hover {
    transform: translateY(-02px);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.vacancy-form {
    overflow: hidden;
    display: grid;
    grid-template-columns: 1fr 1fr;
    border-radius: 12px;
    border: 1px solid rgb(234, 236, 240);
}

@media screen and (max-width: 992px) {
    .vacancy-form {
        grid-template-columns: 1fr;
    }
}

.vacancy-form__left {
    padding: 44px 44px 16px;
    background-color: rgb(254, 247, 239);
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    justify-content: space-between;
}

.vacancy-form__left h2 {
    line-height: 1.21;
    font-size: 36px;
    text-align: center;
    margin-bottom: 16px;
}

.vacancy-form__image {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.vacancy-form form {
    width: 100%;
    padding: 32px;
}

@media screen and (max-width: 768px) {
    .vacancy-form form {
        padding: 16px;
    }
}

.vacancy-form__grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
    row-gap: 16px;
    margin-bottom: 16px;
}

@media screen and (max-width: 564px) {
    .vacancy-form__grid {
        grid-template-columns: 1fr;
    }
}

.vacancy-form__label {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 4px;
    align-items: flex-start;
    line-height: 1.45;
    font-size: 14px;
}

.vacancy-form__label--file {
    position: relative;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    padding: 20px 16px;
    border-radius: 10px;
    border: 1px dashed rgb(208, 213, 221);
    margin-bottom: 16px;
    transition: border-color 0.3s ease;
    cursor: pointer;
    overflow: hidden;
}

.vacancy-form__label--file:hover, .vacancy-form__label--file:focus {
    border-color: rgb(252, 181, 154);
}

.vacancy-form__label--file:hover .vacancy-form__label-button, .vacancy-form__label--file:focus .vacancy-form__label-button {
    transform: translateY(-02px);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.vacancy-form__label--file::before {
    z-index: -1;
    content: "";
    position: absolute;
    top: -50px;
    left: -50px;
    width: calc(100% + 100px);
    height: calc(100% + 100px);
    border-radius: 1000px;
    background-color: rgb(231, 246, 236);
    transform: translateX(var(--progress-translate, -100%));
    transition: transform 0.3s ease;
}

.vacancy-form__label--file .vacancy-form__label-error {
    top: calc(100% - 24px);
    left: 6px;
}

.vacancy-form__label--comment {
    margin-top: 16px;
}

.vacancy-form__label--transparent::before {
    background-color: rgba(231, 246, 236, 0);
}

.vacancy-form__label input {
    padding: 16px;
    border-radius: 6px;
    border: 1px solid rgb(208, 213, 221);
    background-color: rgb(255, 255, 255);
    line-height: 1.41725;
    font-size: 16px;
    caret-color: rgb(182, 216, 255);
    transition: border-color 0.3s ease;
    outline: none;
    width: 100%;
}

.vacancy-form__label input::placeholder {
    color: rgb(152, 162, 179);
}

.vacancy-form__label input:hover {
    border-color: rgb(252, 181, 154);
}

.vacancy-form__label input:focus {
    border-color: rgb(250, 152, 116);
}

.vacancy-form__label input[type=file] {
    display: none;
}

.vacancy-form__label textarea {
    padding: 16px;
    border-radius: 6px;
    border: 1px solid rgb(208, 213, 221);
    background-color: rgb(255, 255, 255);
    line-height: 1.45;
    font-size: 16px;
    caret-color: rgb(182, 216, 255);
    transition: border-color 0.3s ease;
    outline: none;
    width: 100%;
    min-height: 160px;
    resize: vertical;
}

.vacancy-form__label textarea::placeholder {
    color: rgb(152, 162, 179);
}

.vacancy-form__label textarea:hover {
    border-color: rgb(252, 181, 154);
}

.vacancy-form__label textarea:focus {
    border-color: rgb(250, 152, 116);
}

.vacancy-form__label--error {
    border-color: rgb(226, 110, 106);
    padding-bottom: 8px;
}

.vacancy-form__label--error.vacancy-form__label--file {
    padding-bottom: 24px;
}

.vacancy-form__label--error input {
    border-color: rgb(226, 110, 106);
}

.vacancy-form__label-star {
    color: rgb(241, 102, 51);
}

.vacancy-form__label-error {
    display: none;
    line-height: 1.45;
    font-size: 14px;
    font-weight: 400;
    position: absolute;
    left: 0;
    top: calc(100% - 4px);
    color: rgb(203, 26, 20);
}

.vacancy-form__label-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex-grow: 1;
    font-size: 11px;
    color: rgb(152, 162, 179);
    font-weight: 400;
}

.vacancy-form__label-title {
    font-size: 14px;
    color: rgb(16, 25, 40);
    font-weight: 500;
}

.vacancy-form__label-button {
    display: block;
    color: rgb(255, 255, 255);
    border-radius: 6px;
    height: 36px;
    padding: 8px 16px;
    font-weight: 600;
    font-size: 14px;
    line-height: 1.45;
    background: linear-gradient(0deg, #eb5017, #eb5017), linear-gradient(222.07deg, #faaf40 -3.74%, #f16633 99.62%);
    transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.vacancy-form__progress {
    position: relative;
    display: block;
    width: 100%;
    height: 5px;
    background-color: rgb(249, 250, 251);
    margin-block: 6px;
    position: relative;
    border-radius: 12px;
}

.vacancy-form__progress-bar {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: 100%;
    background-color: rgb(64, 184, 105);
    border-radius: 12px;
    transition: width 0.3s ease;
}

.vacancy-form__extra {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 16px;
    color: rgb(241, 102, 51);
    font-weight: 600;
    line-height: 1.5;
    font-size: 16px;
}

.vacancy-form__button {
    width: 100%;
    margin-top: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    color: rgb(255, 255, 255);
    border-radius: 4px;
    min-height: 64px;
    padding: 24px;
    font-weight: 700;
    font-size: 16px;
    line-height: 1;
    background: linear-gradient(222.07deg, #faaf40 -3.74%, #f16633 99.62%);
    transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.vacancy-form__button:hover {
    transform: translateY(-02px);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.vacancy-form__thanks {
    padding: 32px 32px 32px 64px;
    display: none;
    flex-direction: column;
    gap: 16px;
    align-items: flex-start;
    justify-content: center;
}

.vacancy-form__thanks h2 {
    line-height: 1.21;
    font-size: 36px;
}

.single-vacancy {
    overflow: initial;
    padding-top: 75px;
    margin-top: 0 !important;
}

@media screen and (min-width: 567px){
	.index-vacancy{
		position: relative;
	}
	
	.index-vacancy__action{
		position: absolute;
		top: 21px;
		right: 18px;
	}
	
	
}